Update a scheduled ACH fundraising payment

Updates the amount, date, note, or donation type of an eligible ACH fundraising payment. Optional bank details are validated by the controller when supplied.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idintegerRequired

Request

This endpoint expects a multipart form.
wallet_idinteger or nullOptional
payment_amountdoubleOptional
payment_datedatetimeOptional
notestringOptional<=255 characters
donation_type_idinteger or nullOptional
payment_datamap from strings to anyOptional

Response

Payment updated.
statusstring
messagestring
datamap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error